<html><title>Saving</title><body>
<h2>Saving Annotations</h2>

<h4>Overview</h4>
Whyteboard saves .wtbd files as a renamed zip file. This contains any images that were loaded into the program, and a "save.data" file.
<hr>

<h4>Zip Files</h4>
<p>The file format .wtbd is essentially a renamed zip file. This contains any images that were saved inside the program, allowing 
a file saved on one computer to be opened, and edited on another. Versions prior to 0.39.3 did not do this.</p> 

<p>The zip also contains a "save.data" file - this contains various information about the program state. This includes:<br /><br /></p>

<ul>
<li>Currently selected tool</li>
<li>Current colour</li>
<li>Current thickness</li>
<li>Currently selected tab</li>
<li>Last used font/size/style (if any)</li>
<li>All sheets' names (preserving renamed sheets)</li>
<li>Version of the Whyteboard the save was created with</li>
</ul>
<p>
This allows a user to carry on from where they were last editing their file.</p>

<p>When you load in .wtbd file, it may take a while to load as all the thumbnails need to be refreshed, which can take a few seconds; depending mainly on how many sheets are contained in the saved file.</p>

<hr>

<h4>Zip Performance Implications</h4>
There are a few issues with the zip file implementation, it will take longer to read and write larger .wtbd files containing many images/sheets/shapes.<p> 

</body></html>
